
Redmine - Defect #10077

Error al intentar ver un usuario.

2012-01-27 17:56 - Anderson Alvarez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 1.1.0

Description

Al hacer click en cualquier usuario, me genera este error:

Showing app/views/users/show.rhtml where line #12 raised:

undefined method `visible?' for #<ActiveRecord::Associations::BelongsToAssociation:0xb00ae14>

Extracted source (around line #12):

9:     <%# unless @user.pref.hide_mail >

10:         <li><#=l(:field_mail)%>: <%= mail_to(h(@user.mail), nil, :encode => 'javascript') ></li>

11:     <# end >

12:     < @user.visible_custom_field_values.each do |custom_value| >

13:     < if !custom_value.value.blank? >

14:     <li><=h custom_value.custom_field.name%>: <%=h show_value(custom_value) ></li>

15:     < end %>

RAILS_ROOT: c:/redmine/aigroup/airedmine

History

#1 - 2012-06-19 19:14 - Anderson Alvarez

Execute rake db:migrate RAILS_ENV="production" to solve the issue

#2 - 2012-06-19 19:28 - Etienne Massip

Please write in English (see SubmittingBugs).

#3 - 2015-09-02 07:10 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to No feedback
